#two {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin-top: -1px;
}

#two::after {
    content: '';
    position: absolute;
    top: -80px;
    left: 0;
    width: 100%;
    height: 524px;
    background: url(../assets/cloud.webp) top / cover no-repeat;
    z-index: 2;
    pointer-events: none;
    transform: scaleY(-1);
}

#two::before {
    content: '';
    position: absolute;
    bottom: -80px;
    left: 0;
    width: 100%;
    height: 524px;
    background: url(../assets/cloud.webp) bottom / cover no-repeat;
    z-index: 2;
    pointer-events: none;
}

.two {
    padding: 311px 64px 344px;
    width: 100%;
    height: 100%;
}

.parallax {
    position: absolute;
    bottom: -15%;
    left: 0;
    width: 100%;
    height: 150%;
    background: url(../assets/two.webp) center / cover no-repeat;
    z-index: -1;
    will-change: transform;
}

.two_content {
    padding: 36px;
    width: 100%;
    max-width: 1488px;
    border-radius: 24px;
    border: 4px solid transparent;
    background: linear-gradient(#fff, #fff) padding-box, linear-gradient(180deg, #FFEFCD, #E8DECB) border-box;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0 auto;
    height: 100%;
    position: relative;
    z-index: 3;
}

.two_content_video {
    border-radius: 10px;
    box-shadow: 0 1px 0 0 #FFF, 0 -1px 0 0 #0f1c2b40, 0 -1.5px 1px 0 #FFF inset, 0 -3px 0.5px 0 #ffffff4d inset, 0 1px 3px 0 #0f1c2b66 inset;
    height: 100%;
    aspect-ratio: 16/9;
    width: 100%;
    max-width: 727px;
}

.two_content_text {
    max-width: 486px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    height: 347px;
}

.two_content_title {
    color: #191919;
    font-family: 'Colus';
    font-size: 48px;
    line-height: 110%;
    text-transform: uppercase;
}

.two_content_title span {
    color: #D9B437;
}

.two_content_after {
    font-size: 24px;
    line-height: 130%;
    max-width: 380px;
    letter-spacing: 0.4px;
}

.two_content_video iframe {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

@media (min-width: 2000px) {
    #two::after {
        top: -2px;
    }
}

@media (min-width: 2600px) {
    #two::after {
        height: 100%;
        top: -130px;
    }

    #two::before {
        height: 100%;
        bottom: -130px;
    }
}

@media (max-width: 1600px) {
    .two_content_title {
        font-size: 40px;
        line-height: 110%;
    }

    .two_content_after {
        font-size: 20px;
        line-height: 130%;
    }

    .parallax {
        height: 130%;
    }

    #two::after {
        top: -30px;
    }

    #two::before {
        bottom: -30px;
    }
}

@media (max-width: 950px) {
    .two {
        padding: 135px 24px 175px;
    }

    .two_content_title {
        font-size: 24px;
        line-height: 110%;
    }

    .two_content_after {
        font-size: 14px;
        line-height: 130%;
    }

    .two_content {
        flex-direction: column;
        gap: 32px;
        align-items: flex-start;
        max-width: 770px;
        padding: 24px;
        border-radius: 12px;
        border: 2px solid transparent;
    }

    .two_content_text {
        gap: 16px;
        height: fit-content;
    }

    .two_content_video {
        margin: 0 auto;
    }

    .two_content_video video {
        height: auto;
        border-radius: 4px;
    }
}